Name:           perl-Text-Reform
Version:        1.11
Release:        5%{?dist}
Summary:        Manual text wrapping and reformatting
Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/Text-Reform/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/Text-Reform-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       perl(TeX::Hyphen)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The module supplies a re-entrant, highly configurable replacement for the
built-in Perl format() mechanism.

%prep
%setup -q -n Text-Reform-%{version}
%{__perl} -pi -e 's,/usr/local/bin/perl,%{__perl},' *.pl
chmod 644 Changes README lib/Text/*.pm demo*.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

# demo scripts packaged as documentation files
find $RPM_BUILD_ROOT -type f -name 'demo*.pl' -exec rm -f {} \;

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

perldoc -t perlartistic > Artistic

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README demo*.pl Artistic
%{perl_vendorlib}/Text/
%{_mandir}/man3/*.3*

%changelog
* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.11-5
- Minor spec cleanup.
- Add Artistic.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jul 14 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.11-0.fdr.3
- Better summary info (bug 1353 comment #4).
- Canonical source URL (bug 1353 comment #4).
- Missing requirement: TeX::Hyphen (bug 1353 comment #4).
- Replaced /usr/bin/perl by %%{__perl} (bug 1353 comment #4).
- Corrected file permissions (bug 1353 comment #4).

* Wed Jun 09 2004 Steven Pritchard <steve@kspei.com> 0:1.11-0.fdr.2
- Fix License (Artistic only, not GPL or Artistic).

* Wed Jun 09 2004 Steven Pritchard <steve@kspei.com> 0:1.11-0.fdr.1
- Specfile autogenerated.
